gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A button box should be used to provide a consistent layout of buttons throughout your application. This box provides a way of laying out buttons vertically.

The layout of buttons in this type of box is determined by the box's .

Methods for manipulating button boxes are provided in the super classes, and .

Gtk.ButtonBox
- Constructor
  Internal constructor
  Pointer to the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  The normal way to construct a vertical button box
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
  System.Obsolete
- Property
  Gtk.ButtonBoxStyle The default layout style for vertical button boxes. a System.Obsolete
- Property
  System.Int32 The default spacing (in pixels) for vertical button boxes. a System.Obsolete